!(function () {
    BI.config("dec.provider.schedule", function (provider) {
        provider.registerTaskAttached({
            value: 64,
            text: "png"
        }, [DecCst.Schedule.TaskType.REPORT, DecCst.Schedule.TaskType.BI]);
    });

    var Plugin = BI.inherit(BI.Widget, {
        props: {
            baseCls: "",
            value: {
                hookUrl: null,
            }
        },
        render: function () {
            var t = this,
                e = this.options.value[0]==undefined?{hookUrl: null}: this.options.value[0];
            return {
                type: "bi.flex_vertical",
                tgap: 15,
                items: [{
                    type: "dec.label.editor.item",
                    errorTop: 16,
                    textCls: "dec-font-weight-bold",
                    text: "webHookUrl",
                    textWidth: 115,
                    editorWidth: 300,
                    value: e.hookUrl,
                    ref: function(e) {
                        t.hookUrl = e
                    }
                }]
            };
        },
        /**
         *
         *
         * @returns {boolean}
         */
        validation: function () {
            var e = !0,
                t = this.isVisible();
            return BI.isEmpty(this.hookUrl.getValue()) && (t && this.hookUrl.showError(BI.i18nText("Dec-Error_Null")), e = !1),
                e
        },
        /**
         *
         * outputActionList
         * @returns {{}}
         */
        getValue: function() {
            var _self= this;
            return {OutputWebHook: BI.extend(_self.value,{
                    "@class": "com.fr.plugin.dingding.webhook.entity.OutputWebHook",
                    actionName: "com.fr.plugin.dingding.webhook.entity.OutputWebHook",
                    hookUrl: _self.hookUrl.getValue(),
            })}
        },
    });
    BI.shortcut("dec.schedule.task.file.handling.plugin", Plugin);

    BI.config("dec.provider.schedule", function (provider) {
        provider.registerHandingWay({
            text: "webHook",
            value: "com.fr.plugin.dingding.webhook.entity.OutputWebHook", // actionName
            cardType: "dec.schedule.task.file.handling.plugin",
            actions: [] // action
        }, [DecCst.Schedule.TaskType.DEFAULT, DecCst.Schedule.TaskType.REPORT, DecCst.Schedule.TaskType.BI]);
    });
}());
