package com.fr.plugin.dingding.webhook;

import com.fr.decision.plugin.db.AbstractDecisionDBAccessProvider;
import com.fr.plugin.dingding.webhook.dao.WebHookDao;
import com.fr.plugin.dingding.webhook.entity.WebHookEntity;
import com.fr.stable.db.accessor.DBAccessor;
import com.fr.stable.db.dao.BaseDAO;
import com.fr.stable.db.dao.DAOProvider;

/**
 * @Author fr.open
 * @Date 2020/9/15
 * @Description
 **/
public class OutputDBAccess extends AbstractDecisionDBAccessProvider {

    private static DBAccessor dbAccessor;
    public DBAccessor getDbAccessor() {
        return dbAccessor;
    }

    @Override
    public DAOProvider[] registerDAO() {
        return new DAOProvider[]{
                new DAOProvider() {
                    @Override
                    public Class getEntityClass() {
                        return WebHookEntity.class;
                    }

                    @Override
                    public Class<? extends BaseDAO> getDAOClass() {
                        return WebHookDao.class;
                    }
                }
        };
    }

    @Override
    public void onDBAvailable(DBAccessor dbAccessor) {
        OutputDBAccess.dbAccessor = dbAccessor;
    }
}
